Subject: bug#63916: 30.0.50; use-package: changes do not propagate to elpa-devel

From: Benjamin Orthen <[email-masked]>
Date: Mon, 05 Jun 2023 23:21:54 +0200

Recent changes in use-package (i.e., commit 
2ce279680bf9c1964e98e2aa48a03d6675c386fe) have not propagated to 
emacs-devel (https://elpa.gnu.org/devel/use-package.html) even though 
use-package is designated as a :core package in elpa.

My understanding is that changes in emacs for :core packages are 
automatically propagated to elpa(-devel). I was however not able to find 
documentation on how this propagation/sync works. I noticed that 
use-package.el does not have the disclaimer ";; This is a GNU ELPA :core 
package. Avoid adding functionality [...]" in its header. I suppose this 
is unrelated to the elpa-devel sync, but could be fixed as well.

Best regards,
Benjamin